POST api/User/GetGoodsQuoteInfo
Request Information
URI Parameters
None.
Body Parameters
GoodsQuoteParams| Name | Description | Type | Additional information |
|---|---|---|---|
| QuoteId | integer |
None. |
|
| startTime | string |
None. |
|
| endTime | string |
None. |
|
| keyword | string |
None. |
|
| areaId | integer |
None. |
|
| page | integer |
None. |
|
| pagesize | integer |
None. |
|
| isStore | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"QuoteId": 1,
"startTime": "sample string 2",
"endTime": "sample string 3",
"keyword": "sample string 4",
"areaId": 5,
"page": 6,
"pagesize": 7,
"isStore": true
}
application/xml, text/xml
Sample:
<GoodsQuoteParams xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ti.WebApi.Models.Params"> <QuoteId>1</QuoteId> <areaId>5</areaId> <endTime>sample string 3</endTime> <isStore>true</isStore> <keyword>sample string 4</keyword> <page>6</page> <pagesize>7</pagesize> <startTime>sample string 2</startTime> </GoodsQuoteParams>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
JsonResult| Name | Description | Type | Additional information |
|---|---|---|---|
| ContentEncoding | Encoding |
None. |
|
| ContentType | string |
None. |
|
| Data | Object |
None. |
|
| JsonRequestBehavior | JsonRequestBehavior |
None. |
|
| MaxJsonLength | integer |
None. |
|
| RecursionLimit | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"ContentEncoding": null,
"ContentType": "sample string 1",
"Data": {},
"JsonRequestBehavior": 0,
"MaxJsonLength": 1,
"RecursionLimit": 1
}
application/xml, text/xml
Sample:
<JsonResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/System.Web.Mvc"> <ContentEncoding xmlns:d2p1="http://schemas.datacontract.org/2004/07/System.Text" i:nil="true" /> <ContentType>sample string 1</ContentType> <Data /> <JsonRequestBehavior>AllowGet</JsonRequestBehavior> <MaxJsonLength>1</MaxJsonLength> <RecursionLimit>1</RecursionLimit> </JsonResult>